  
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.*;
import java.awt.*;


public abstract class MyView
{
  MyView parent;
  Element element;

  public static final int X_AXIS = 0,
                          Y_AXIS = 1;

  public MyView(Element element)
  {
    this.element = element;
  }

  public Element getElement()
  {
    return element;
  }

  public MyView getParent()
  {
    return parent;
  }

  public void setParent(MyView parent)
  {
    this.parent = parent;
  }
  
  /** Is used by views to find the container they are displayed
      in. This is useful for views that needs to query the properties
      from JTextComponent, such as foreground color, selected text
      color, highlighter, etc. The default implementation is to return
      the container of the parent view. */
  public Container getContainer() 
  {
    return parent.getContainer();
  }

  public abstract float getPreferredSpan(int axis);

  public void setSize(float width, float height) 
  {
    // NOP
  }

  public abstract Shape modelToView(int pos, Shape a, Position.Bias b)
    throws BadLocationException;
  
  public abstract int viewToModel(float x, float y, Shape a,
				  Position.Bias[] biasReturn);


  public abstract void paint(Graphics g, Shape allocation);
  

  
  public void insertUpdate(DocumentEvent e, Shape a, ViewFactory f)
  {
    // FIXME
  }
  
  public void removeUpdate(DocumentEvent e, Shape a, ViewFactory f)
  {
    // FIXME
  }
  
  public void changedUpdate(DocumentEvent e, Shape a, ViewFactory f)
  {
    // FIXME
  }  
  
  public int getNextVisualPositionFrom(int pos, Position.Bias b,
				       Shape a, int direction,
				       Position.Bias[] biasRet)
    throws BadLocationException
  {
    switch (direction) 
      {
      case SwingConstants.EAST:
	return pos+1;
	
      case SwingConstants.WEST:
	return pos-1;
      }
    
    // FIXME...
    return pos;
  }
}
