/* Copyright (C) 2000  Free Software Foundation

   This file is part of libgcj.

This software is copyrighted work licensed under the terms of the
Libgcj License.  Please consult the file "LIBGCJ_LICENSE" for
details.  */

package javax.swing;

import java.io.Serializable;
import javax.swing.plaf.ComponentUI;

/**
 * Status: minimal skeleton.
 */
public class UIManager implements Serializable
{
  static UIDefaults uiDefaults;
  
  static
  {
    // Ugly hardwiring:
    
    String plafPrefix = "gnu.awt.plaf.";
    Object[] plafMap = {
      "ButtonUI", plafPrefix + "GButtonUI",
      "LabelUI",  plafPrefix + "GLabelUI"
    };

    uiDefaults = new UIDefaults(plafMap);
  }

  public static ComponentUI getUI(JComponent target)
  {
    return uiDefaults.getUI(target);
  }
}
