/* Copyright (C) 2000  Free Software Foundation

   This file is part of libgcj.

This software is copyrighted work licensed under the terms of the
Libgcj License.  Please consult the file "LIBGCJ_LICENSE" for
details.  */

package javax.swing.border;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Insets;
import java.io.Serializable;

public class EmptyBorder extends AbstractBorder implements Serializable 
{
  protected int left;
  protected int right;
  protected int top;
  protected int bottom;
  
  public EmptyBorder(int top, int left, int bottom, int right) 
  {
    this.top = top;
    this.left = left;
    this.bottom = bottom;
    this.right = right;
  }

  public EmptyBorder(Insets borderInsets) 
  {
    this(borderInsets.top, borderInsets.left,
	 borderInsets.bottom, borderInsets.right);
  }
    
  public void paintBorder(Component component, Graphics gfx,
			  int x, int y, int width, int height) 
  {
    // NOP, do nothing.
  }

  public Insets getBorderInsets(Component component) 
  {
    return getBorderInsets();
  }

  public Insets getBorderInsets(Component component, Insets insets) 
  {
    insets.top = top;
    insets.left = left;
    insets.bottom = bottom;
    insets.right = right;
    return insets;
  }
  
  public Insets getBorderInsets() 
  {
    return new Insets(left, right, top, bottom);
  }
  
  public boolean isBorderOpaque() 
  {
    return false;
  }
}
